Subject: Re: [TLS] Rethink TLS 1.3

From: Peter Gutmann <[email-masked]>
Date: Fri, 28 Nov 2014 08:45:00 +0000

Nico Williams <[email-masked]> writes:
>On Tue, Nov 25, 2014 at 6:28 PM, Peter Gutmann
><[email-masked]> wrote:
>> Exactly.  The Internet Threat Model is frequently referred to, but I have no
>> idea what it actually is.  AFAIK it's either:
>>
>>   "I'm OK, you're OK, and the network is the problem".
>>
>> a quaint relic from the 1980s that hasn't been relevant for 15-20 years
>
>Yes, it's quaint.  It's also as best we can do, unless...

If that's the best we can do then it's better to have no threat model at all
than something that misleading, because all it's doing is giving a false sense
of security.  It doesn't even begin to capture semantics like:

  Alice will perform arbitrary scripted operations at the request of Mallory,
  directed against herself and/or Bob.

a standard feature of every web browser out there.  As a model against which
to measure the security of an application or implementation, it's only
slightly less useless than nothing at all.

Peter.

---

From: Nico Williams <[email-masked]>
Date: Fri, 28 Nov 2014 13:11:30 -0600

> slightly less useless than nothing at all.

That's changing the subject.  Where have I argued that the web security
mode is great or even permitted by the Internet threat model.

The web security model is... unlike anything produced by the IETF, and
it wasn't produced by the IETF.  It's an alien as far as we're concerned
here.  You'd be hard-pressed to find fans of it at the IETF.  And it
would require torturing logic to say that the Internet threat model
allows the web security model.  From where we stand we can't really go
fix the web security model either, much though we'd like, but we can
make TLS 1.3 not fail spectacularly (BEAST and others) in a web context.

If you want a holistic approach, well, I agree, but that means getting
people in the same room who usually don't do that, and it means getting
people to agree to things that they aren't inclined to.  Let's!  (Any
ideas as to how to?)

Nico
--